Execute API (v3)

Execute the calculation from a Spark service. Depending on the desired reference parameter, different URI are available. See the documentationarrow-up-right for more details. The code snippet for your Spark service APIs can be found in the API Tester Code Snippets using the OpenAI.

Reference by folder and service

post

request_meta version_id, version, and transaction_date can be used for version resolution.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
folderstringRequired

Folder associated with the API call.

Example: myfoldername
servicestringRequired

Service associated with the API call.

Example: myservicename
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/folders/{folder}/services/{service}/execute
200

OK

Reference by service_id

post

request_meta version_id, version, and transaction_date can be used for version resolution.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
serviceIdstring · uuidRequired

service_id of the requested service.

Example: 4bab4cc7-fde1-4315-871d-17a72c4c39a2
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/service/{serviceId}
200

OK

Reference by version_id

post

version_id is the most direct service version reference.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
versionIdstring · uuidRequired

version_id of the requested service.

Example: 0fb13c76-8b9b-43da-b664-2b11eb11d5c3
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/version/{versionId}
200

OK

Generic execute endpoint

post

Service reference must be defined in the request_meta.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/execute
200

OK

Generic v3 endpoint

post

Service reference must be defined in the request_meta.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3
200

OK

Public API reference by folder and service

post

request_meta version_id, version, and transaction_date can be used for version resolution.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
folderstringRequired

Folder associated with the API call.

Example: myfoldername
servicestringRequired

Service associated with the API call.

Example: myservicename
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/public/folders/{folder}/services/{service}/execute
200

OK

Public API reference by service_id

post

request_meta version_id, version, and transaction_date can be used for version resolution.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
serviceIdstring · uuidRequired

service_id of the requested service.

Example: 4bab4cc7-fde1-4315-871d-17a72c4c39a2
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/public/service/{serviceId}
200

OK

Public API reference by version_id

post

version_id is the most direct service version reference.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
versionIdstring · uuidRequired

version_id of the requested service.

Example: 0fb13c76-8b9b-43da-b664-2b11eb11d5c3
Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/public/version/{versionId}
200

OK

Reference for custom endpoints

post

The request_meta version_id, version, and transaction_date can be used for version resolution.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your login URL and also available in the user menu.

Example: mytenantname
urlsuffixstringRequired

Custom endpoints path.

Body
Responses
chevron-right
200

OK

application/json
post
/{tenant}/api/v3/proxy/{urlsuffix}
200

OK

Last updated